IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_191_2_newdetail_after]') AND type = 'P')
DROP PROCEDURE [dbo].[order_191_2_newdetail_after]
GO

-- 生成时间:2017-11-23 17:46:21 by ebs-core  
CREATE  procedure order_191_2_newdetail_after(
     @cmpid int,
     @branchid int,
     @userdpid int,
     @useruid int,
     @userotid int,
     @jbid bigint,
     @ordid bigint,
     @ord2tag int,
     @ord2group nvarchar(50),
     @ord2id bigint 
  ) 
as  
begin  
set nocount on  
declare @sys_recid bigint 
set @sys_recid = 0 
declare @ord2group2 nvarchar(50) 
set @ord2group2 = '' 
 declare @nonedate datetime 
set @nonedate = CONVERT(datetime,'1910-1-1')
 
 --- 以下是预处理事件中的临时表
 ---   #new 在主体中已经生成
 exec drop_temp_table '#master' select * into #master from order_191 where ord_id=@ordid 
 ---- 以下是开发人员写的 after new details order 事件 --------------
 insert into ebs2java.dbo.mps_testlog(txt,objid)
select top 1 'new明细添加后',tjb.ord2_id from #new tjb

insert into ebs2java.dbo.mps_testlog(txt,objid)
select top 1 'master明细添加后',tjb.ord_id from #master tjb
 ---- 以上是开发人员写的 after new details order 事件 --------------
 
  set @ord2group2=''  select top 1 @ord2group2=ord2_group from #new where ord2_group>''  set @ord2group2 = isnull(@ord2group2 , '')  insert into order_191_2(ord2_date,ord2_updated,ord2_tag,ord2_group,ord2_ordid,ord2_fbizid,ord2_ford2tag,ord2_jhbz,ord2_order,ord2_rbizid,ord2_rord2tag,ord2_zbrs,ord2_fatherord2id,ord2_ford2id,ord2_fordid,ord2_rord2id,ord2_rordid,ord2_code,ord2_ftype,ord2_key,ord2_rtype,ord2_tags,ord2_bmmc,ord2_bz,ord2_caption,ord2_gw,ord2_status)  select case when new.ord2_date>getdate()-40000 then new.ord2_date else getdate() end ,getdate(),2,    case when new.ord2_group>'' then new.ord2_group else @ord2group2 end , @ordid,new.ord2_fbizid,new.ord2_ford2tag,new.ord2_jhbz,new.ord2_order,new.ord2_rbizid,new.ord2_rord2tag,new.ord2_zbrs,new.ord2_fatherord2id,new.ord2_ford2id,new.ord2_fordid,new.ord2_rord2id,new.ord2_rordid,new.ord2_code,new.ord2_ftype,new.ord2_key,new.ord2_rtype,new.ord2_tags,new.ord2_bmmc,new.ord2_bz,new.ord2_caption,new.ord2_gw,new.ord2_status from #new new where recid is null 
--- 清除临时表 
exec drop_temp_table '#master' 
set nocount off 
end